/* main_stuff */

html {
    background: url(assets/background.jpg) no-repeat center center fixed;
    -webkit-background-size: cover;
    -moz-background-size: cover;
    -o-background-size: cover;
    background-size: cover;
}

body {
    font-family: 'Courier New', Courier, monospace;
    text-align: center;
    width: fit-content;
    margin-left: auto;
    margin-right: auto;
}

h1 {
    color: rgb(130, 195, 255);
    font-size: 3rem;
}

hr {
    color: rgb(130, 195, 255);
    border-color: rgb(130, 195, 255);
    background-color: rgb(130, 195, 255);
}

p {
    color: rgb(130, 195, 255);
}

a,
a:visited {
    color: rgb(130, 195, 255);
}

a:hover {
    color: rgb(255, 255, 255);
    border-color: rgb(255, 255, 255);
}

.usualP {
    font-size: 2rem;
    padding: 2rem;
}

.commandsP {
    text-align:left;
    border: outset;
    border-color: rgb(130, 195, 255);
    font-size: 2rem;
    padding: 2rem;
    background-color: rgba(0, 0, 0, 0.5);
    backdrop-filter: blur(5px);
}

/* main_stuff_end */

/* */

.linkP {
    font-size: 2rem;
    padding: 2rem;
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    flex-direction: row;
    gap: 1rem;
    text-align: center;
}

.linkButton {
    border: outset;
    border-color: rgb(130, 195, 255);
    padding: 1rem;
    background-color: rgba(0, 0, 0, 0.5);
    backdrop-filter: blur(5px);
}

/* */

/* sidenav_configuration */

#main {
    transition: margin-left .5s;
    padding: 20px;
}

.menuP {
    font-size: 1.5rem;
    display: flex;
    justify-content: left;
    flex-wrap: wrap;
    flex-direction: row;
    text-align: left;
}

#menuButton {
    transition: transform 0.5s;
}

#menuButton.rotated {
    transform: rotate(90deg);
}

.menuButton {
    position: fixed;
    top: 0;
    left: 0;
    z-index: 3;
    display: inline-block;
    border: outset;
    border-color: rgb(130, 195, 255);
    padding: 0.5rem;
    color: rgb(130, 195, 255);
    background-color: rgba(0, 0, 0, 0.5);
    backdrop-filter: blur(5px);
}

.menuButton:hover {
    cursor: pointer;
}

.bar1,
.bar2,
.bar3 {
    width: 40px;
    height: 5px;
    background-color: rgb(130, 195, 255);
    margin: 6px 0;
    transition: 0.4s;
    transform-box: border-box;
    box-sizing: border-box;
}

.change .bar1 {
    transform: translate(0, 11px) rotate(-45deg);
}

.change .bar2 {
    opacity: 0;
}

.change .bar3 {
    transform: translate(0, -11px) rotate(45deg);
}

.sidenav {
    height: 100%;
    width: 0;
    position: fixed;
    z-index: 1;
    top: 0;
    left: 0;
    background-color: rgba(0, 0, 0, 0.5);
    backdrop-filter: blur(5px);
    overflow-x: hidden;
    padding-top: 60px;
    transition: 0.5s;
}

.sidenav a {
    padding:24px 8px 8px 3px;
    text-decoration: none;
    font-size: 2rem;
    color: rgb(130, 195, 255);
    display: block;
    transition: 0.3s;
}

.sidenav a:hover {
    color: rgb(255, 255, 255);
}

.sidenav .closebtn {
    position: absolute;
    top: 0;
    right: 25px;
    font-size: 36px;
    margin-left: 50px;
}

@media screen and (max-height: 450px) {
    .sidenav {
        padding-top: 15px;
    }

    .sidenav a {
        font-size: 18px;
    }
}

/* sidenav_configuration_end */

/* scrollbrrrrrrrrrr */
::-webkit-scrollbar {
    width: 10px;
}

::-webkit-scrollbar-track {
    background: rgba(0, 0, 0, 0.75);
}

::-webkit-scrollbar-thumb {
    background: rgb(85, 130, 170);
}

::-webkit-scrollbar-thumb:hover {
    background: rgb(130, 195, 255);
}

/* scrollbrrrrrrrrrr_end */